OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::universal_midi_packets::BytestreamToUMPHandler::Factory Class Reference

`#include <juce_UMPBytestreamInputHandler.h>`

## Public Member Functions
| Factory (PacketProtocol p, Receiver &c)
std::unique_ptr< BytestreamToUMPHandler > | operator() (MidiInput &) const

## Detailed Description

Provides an `operator()` which can create an input handler for a given MidiInput.

All handler classes should have a similar Factory to facilitate creation of handlers in generic contexts.

Definition at line 108 of file juce_UMPBytestreamInputHandler.h.

## Constructor & Destructor Documentation

## ◆ Factory()

juce::universal_midi_packets::BytestreamToUMPHandler::Factory::Factory | ( | PacketProtocol | p,
|  | Receiver & | c )
| inline

Definition at line 111 of file juce_UMPBytestreamInputHandler.h.

## Member Function Documentation

## ◆ operator()()

std::unique_ptr< BytestreamToUMPHandler > juce::universal_midi_packets::BytestreamToUMPHandler::Factory::operator() | ( | MidiInput & |  | ) | const
| inline

Definition at line 114 of file juce_UMPBytestreamInputHandler.h.

The documentation for this class was generated from the following file:

- juce_UMPBytestreamInputHandler.h